Subject: Re: [EDUC] Mémoire étudiant : Logiciel Libre et enseignement supérieur
From: Ivaylo Ganchev <[email-masked]>
To: Thibaud Roudier <[email-masked]>
Cc: Liste Éducation <[email-masked]>
Date: Wed, 1 Feb 2012 11:34:05 +0100
List-Id: <educ.april.org>

Bonjour Thibaud,

> Merci pour les exemples d'enseignements libres donnés. N'importe quel
> exemple est bon à prendre, nous trierons plus tard. Je rappelle tout de même
> que notre but n'est pas de fournir une liste exhaustive de toute manière. Je
> contacterai au plus tôt les personnes citées...

OK, bon à savoir. D'autre expériences existent sans doute et ce serait
bien si les autres membres de la liste en connaissent de les partager.
C'est peut-être une bonne occasion d'essayer de lister un certain
nombre d'expériences similaires pour en donner visibilité.

> Concernant les formations, ce n'est pas trop notre sujet, mais on pourra
> l'aborder à un moment ou un autre.

OK

> De plus, notre refléxion ne s'arrête pas aux étudiants informaticiens, mais
> bien à tous. Un exemple : Alors que j'étais étudiant à Grenoble, toute les
> postes libre service de la BU Sciences se sont vu installer des
> distributions Ubuntu modifiées, proposant OpenOffice en tant que suite
> bureautique (je vous parle de ça, c'était il y a déjà 3 ou 4 ans). C'est ce
> genre d'exemple qu'il nous faut. Nous avons déjà vu que certaines facs
> proposent des DVD remplis d'outils libres, et nous aimerions nous en
> procurer, pour voir un peu le contenu.

Sur cette page t'as des liens vers des images .iso que tu pourra
télécharger. Certainement les images ne sont pas à jour, si tu trouve
des actualisations et t'as le courage tu pourra les actualiser :))

http://wiki.april.org/w/Diffusion_des_logiciels_libres_en_milieu_universitaire

Sinon voici une expérience de mon établissement (Paris 8) que je pense
que j'avais déjà partagé avec la liste. L'administratrice d'une des
salles utilisées par le département science de l'éducation (donc pas
tech à priori) avait décidé de changer la suite bureautique dans la
salle. Elle a mis OpenOffice, mais pour que les étudiants ne
s'aperçoivent pas elle avait changé le nom à celui de la suite bien
connu et pas aimée du tout. Aux étudiants elle expliquait que c'est la
nouvelle version du logiciel, qu'il n'y a rien à faire et qu'il faut
apprendre à l'utiliser. Tout le monde s'est très bien débrouillé et
l'administratrice était très contente.

Comme ce coup a bien marché elle a mis Ubuntu avec la même tactique.
Elle a remplacé les images de démarrage si j'ai bien compris et a fait
croire aux étudiants que c'est le Windobe Nouvô. Donc depuis quelques
années cela marche plutôt bien, il faut que j'aille la demande comment
ça se passe. Comme quoi des fois il s'agit d'un peu de la bonne
volonté.

> Les articles scientifiques, en anglais ou pas, discutant d'initiatives
> françaises ou étrangères, sont également les bienvenus.

Voici quelques articles. En suivant les références tu tombera sur
quelques autres intéressants :
* R. Hess and P. Paulson. Linux kernel projects for an undergraduate
Operating Systems course. In Proc. ACM Technical Symposium on Computer
Science Education (SIGCSE), 2010.
* A. de Souza Brandao, & Co Stimulating Open Source Development in the
Academic Environment, In IEEE Transactions on Education, Vol. 6, No.
1, August 2009
* M. Pedroni, & Co, Open source projects in programming courses, in
Proc. SIGCSE, 2007
* Ellis, H.J.C., & Co Can humanitarian open-source software
development draw new students to CS ? In Proceedings of the 38th
SIGCSE
* Ellis, H.J.C., & Co Holistic Software Engineering Education Based on
a Humanitarian Open Source Project, in Proc. CSEE&T, 2007

Si tu tombes sur d'autres n'hésites pas de les envoyer à la liste.

> Cependant, les premiers éléments reçus sont très encourageants. Merci
> beaucoup pour votre aide.

Bonne continuation et n'hésites pas de redemander si d'autres infos te manquent

Cordialement,
Ivaylo

>
> --
> Cordialement,
> Thibaud Roudier
> Courriel : [email-masked]
> IM : [email-masked]
> Mobile : +33.6.89.86.83.17
>
>
> Le 31/01/2012 12:08, Ivaylo Ganchev a écrit :
>>
>> Bonjour Thibaud,
>>
>>
>> et félicitation pour cette initiative.
>>
>> Quel est le but de votre mémoire ? De démontrer les initiatives
>> existantes ? De prouver que le libre fournit une bonne méthode pour
>> l'enseignement de l'informatique ? D'énumérer les projets libres
>> développés en milieu universitaire ?
>>
>> Je pense d'abord il faut commencer essayer de catégoriser (un mot
>> barbare que je n'aime pas trop) les différentes initiatives. Après mes
>> observations j'organise ça, dans le désordre, comme ça :
>>
>> - cours unitaires
>> - formations diplômantes
>> - utilisation de logiciels libres comme outils pédagogiques
>> - rubrique 'autres' qui englobe toute sorte de projets qui relient le
>> libre et l'enseignement supérieur.
>>
>> Dans le premier chapitre il y a un certain nombre d'expériences. Une
>> des personnes qui a fait pas mal de choses et dont les expériences
>> sont assez visibles est Roberto Di Cosmo. Son cours sur les logiciels
>> libres niveau Master et disponible en ligne. A Paris 7 un autre cours
>> niveau licence est dispensé aussi (IIRC). Sinon t'as un certain nombre
>> d'autres cours dispensés par ci par là. Par exemple un cours de
>> langage de programmation C++ sur les technos de KDE, dispensé à
>> l'université de Toulouse, Paul Sabatier par Kevin Ottens. Actuellement
>> Kevin achangé d'établissement et le cours n'est pas assuré. T'a aussi
>> le programme CoMETE dans le MISASHS de l'université d'Evry qui
>> enseigne les technos Mozilla.
>>
>> Enfin si je fouille un peu mieux dans mes archives je pourrais sortir
>> quelques autre exemples si t'as besoin.
>>
>> Sur les formations diplômantes on a un peu plus de visibilité. T'en a
>> actuellement 4 en France : un master et 3 licences dont 2 licences pro
>> et une licence en communication. Tu trouvera les infos ici :
>> http://www.april.org/articles/se-former.html#Formations_publiques. La
>> formation de l'IUT de Sénart Fontainebleau est discontinue et je n'ai
>> pas des infos pour celle de l'IUT de Châteauroux.
>>
>> Sinon l'utilisation des logiciels libres comme outils se fait presque
>> partout. Je considère comme un peu injuste le fait d'enseigner la
>> programmation ou la compilation ou encore les bases de données sans
>> expliquer ou sans enseigner dans quel esprit les outils ont été créés,
>> mais cela reste très personnel. Cela dit si vous faite une enquête
>> parmi toutes les formations d'informatique en France des outils libres
>> qu'ils utilisent, ce serait un exploit digne des acclamations les plus
>> fortes :-) Je pense que cela dépasse tout de même le but du mémoire de
>> master.
>>
>> Dans la rubrique autres vous trouverez aussi pas mal de choses. Il y a
>> le développement de logiciels dans un milieu universitaire/école
>> d'ingé ou de recherche (vlc, mancoosi, modules scilab, une miriade de
>> projets...)
>>
>> On peut mentionner la dedans les install parties qui sont organisées à
>> gauche à droite en France qui peuvent sembler sans beaucoup d'intérêt,
>> mais qui apportent significativement pour la meilleure connaissance
>> des logiciels libres en milieu universitaire.
>>
>> Est-ce que vous allez parler de l'utilisation de LL par les étudiants
>> non informaticiens ? Un certain nombre d'universités distribuent des
>> collections de LL sur DVD à l'intention de leurs étudiants. Il y avait
>> un partenariat aussi entre Paris X et l'AFUL sur l'enseignement de
>> OpenERP pour des étudiants en management (si mes souvenirs sont
>> bons..), mais je n'arrive pas d'avoir plus de détails sur cette
>> initiative.
>>
>> Tu as aussi des articles scientifiques qui clament les bienfaits de
>> l'enseignement de technologies libres dans l'enseignement supérieur.
>> Malheureusement la plupart dont je dispose sont en anglais et
>> discutent d’expériences qui ont eu lieu outre atlantique.
>>
>> Je vais m'arrêter là, car la liste peut continuer encore et je risque
>> de t'embrouiller. Je pourrais essayer de te fournir une liste un peu
>> plus clean.
>>
>> Par tout ça je voulais plus te montrer qu'initiatives il y en a pas
>> mal et qu'il faut se poser un but précis dans votre mémoire. Aussi les
>> initiatives sont très hétérogènes. Je pense qu'il serait difficile de
>> les systématiser. Autre chose qui en ressort et que vous avez déjà
>> affronté est qu'il y a très peu de retour d'expérience. Je ne sais pas
>> si on peu faire quelque chose, comment motiver les enseignants ou les
>> étudiants de communiquer. Dernièrement, il n'y a pas de politique
>> claire -- toutes les initiatives sont personnelles, de la part
>> d'enseignants, étudiants, administratifs ou autre... Rares sont les
>> établissements qui ont pris position à ce sujet, et même si une
>> position a été prise peu de choses ont été faites par la suite.
>>
>> Bon, j'espère que je ne t'ai pas embrouillé. Ça résume ma vision sur
>> la chose. Ce serait bien d'avoir celle des autres. N'hésites pas de
>> dire si vous avez besoin de liens ou détails sur un point précis.
>>
>> Cordialement,
>> Ivaylo Ganchev
>>
>> 2012/1/30 Thibaud Roudier<[email-masked]>:
>>>
>>> Bonjour à tous et toutes,
>>>
>>> Je me présente, je m'appelle Thibaud ROUDIER, actuellement étudiant en
>>> dernière année d'école d'ingénieurs en développement logiciel. Durant
>>> cette
>>> dernière année, un mémoire sur un thème de notre choix nous a été
>>> demandé.
>>>
>>> Étant passionnés par le monde du logiciel libre, mon camarade et moi même
>>> avons décidé de proposer un sujet suivant cette voie.
>>>
>>> Durant notre parcours, nous avons remarqué qu'un enseignement
>>> d'introduction
>>> au développement libre faisait cruellement défaut, ou toute approche en
>>> ce
>>> sens là. Nous nous sommes posé peu à peu la question de savoir à quel
>>> point
>>> est utilisé le logiciel libre dans l'enseignement supérieur ? Ainsi est
>>> née
>>> notre problématique.
>>>
>>> Nous avons commencé à lire, collecter des renseignements (dont certains
>>> grâce à cette même liste de diffusion), mais nous nous sommes heurtés au
>>> fait que peu de chiffres, ou d'enquêtes existent. De nombreux liens
>>> périmés
>>> sur les sites même des académies ou écoles, quelques traces par endroit,
>>> mais rarement à jour.
>>>
>>> Nous nous sommes fait notre propre expérience : les administrations
>>> utilisant des solutions libres, certains projets comme PLUME, les
>>> universités utilisant ou proposant des logiciels libres, mais peu ou pas
>>> de
>>> chiffres exacts.
>>>
>>> Est ce que quelqu'un dispose de chiffres exacts, ou relativement récents
>>> sur
>>> ce genre d'enquête ? Ou de retours d'utilisateurs ?
>>>
>>> Bien entendu, nous publierons notre mémoire sous licence CC-BY, et les
>>> personnes nous ayant apporté des éléments d'information seront cités
>>> (selon
>>> leurs licences respectives).
>>>
>>> Merci d'avance à tous,
>>>
>>> Cordialement,
>>> Thibaud Roudier et Rudy André
>>>
>>> --
>>> Cordialement,
>>> Thibaud Roudier
>>> Mail : [email-masked]
>>> IM : [email-masked]
>>> Mobile : +33.6.89.86.83.17
>>>
>>>
>>> --
>>> Pour gérer votre abonnement à la liste educ et vos informations
>>> personnelles
>>> :
>>> http://listes.april.org/wws/info/educ
>>>
>
> --
> Pour gérer votre abonnement à la liste educ et vos informations personnelles
> :
> http://listes.april.org/wws/info/educ
>
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ